# $Revision: 1.76 $, $Date: 2012/06/02 10:57:35 $
#
# TODO:
#	- some tests still fail on builders
#
# Conditional build:
%bcond_with	tests		# perform "make check"

Summary:	Event-based init daemon
Summary(hu.UTF-8):	Esemény-vezérelt init démon
Summary(pl.UTF-8):	Oparty na zdarzeniach demon init
Name:		upstart
Version:	1.3
Release:	8
License:	GPL v2
Group:		Base
Source0:	http://launchpad.net/upstart/1.x/1.3/+download/%{name}-%{version}.tar.gz
# Source0-md5:	7820797b64878c27115fff6a7398a6a9
URL:		http://upstart.at/
Patch0:		pldize.patch
Patch1:		%{name}-tests.patch
Source1:	start-ttys.conf
Source2:	tty.conf
Source3:	%{name}.sysconfig
Source4:	sysvinit.logrotate
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-devel >= 1.2.16-1
BuildRequires:	expat-devel
BuildRequires:	gcc >= 5:4.0
BuildRequires:	gettext >= 0.14.5
BuildRequires:	glibc-headers >= 6:2.4.0
BuildRequires:	libnih-devel >= 1.0.3
BuildRequires:	libtool >= 2:1.5.22
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.615
BuildRequires:	udev-devel >= 146
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(postun):	/usr/sbin/groupdel
Requires:	SysVinit-tools
Requires:	dbus-libs >= 1.2.14-2
Requires:	filesystem >= 4.0
Suggests:	dbus
Suggests:	vim-syntax-upstart
Provides:	group(utmp)
Provides:	virtual(init-daemon)
Obsoletes:	virtual(init-daemon)
Conflicts:	dbus < 1.2.12-2
Conflicts:	upstart-SysVinit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin

%description
upstart is a replacement for the /sbin/init daemon which handles
starting of tasks and services during boot, stopping them during
shutdown and supervising them while the system is running.

%description  -l hu.UTF-8
upstart az /sbin/init helyére pályázik. Az upstart kezelni tudja
feladatok és szolgáltatások indítását boot-kor, leállítását a gép
leállításakor és menedzselni, amíg a rendszer fut.

%description -l pl.UTF-8
upstart jest zamiennikiem demona /sbin/init zajmującym się
uruchamianiem zadań i usług podczas startu systemu, ich zatrzymywaniem
podczas wyłączania systemu, a także nadzorowaniem ich pracy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp -p %{SOURCE1} conf
cp -p %{SOURCE2} conf

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%{?with_tests:TERM=linux %{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{logrotate.d,sysconfig},/lib/init,/var/{run,log}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang upstart

cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

ln -sf ../var/run/initrunlvl $RPM_BUILD_ROOT%{_sysconfdir}
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/sysvinit
> $RPM_BUILD_ROOT/var/run/initrunlvl
> $RPM_BUILD_ROOT%{_sysconfdir}/ioctl.save
> $RPM_BUILD_ROOT/var/log/faillog
> $RPM_BUILD_ROOT/var/log/lastlog
> $RPM_BUILD_ROOT/var/log/wtmpx
> $RPM_BUILD_ROOT/var/log/btmpx

# no -devel
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.{la,so}
rm -rf $RPM_BUILD_ROOT%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 22 utmp

%post
/sbin/ldconfig

touch %{_sysconfdir}/ioctl.save /var/log/{{fail,last}log,btmpx}
chmod 000 %{_sysconfdir}/ioctl.save /var/log/{fail,last}log
chown root:root %{_sysconfdir}/ioctl.save /var/log/faillog
chown root:utmp /var/log/lastlog
chmod 600 %{_sysconfdir}/ioctl.save
chmod 640 /var/log/faillog
chmod 660 /var/log/lastlog
chmod 640 /var/log/btmpx

/sbin/telinit u || :

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%groupremove utmp
fi

%triggerpostun -- glibc
/sbin/telinit u || :

%triggerpostun -- upstart < 0.6.0
[ -f /proc/1/exe -a -d /proc/1/root ] && kill -TERM 1

%files -f upstart.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS TODO
/etc/dbus-1/system.d/Upstart.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/init/control-alt-delete.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/init/start-ttys.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/init/tty.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/init/upstart-socket-bridge.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/init/upstart-udev-bridge.conf
%attr(755,root,root) %{_sbindir}/halt
%attr(755,root,root) %{_sbindir}/init
%attr(755,root,root) %{_sbindir}/initctl
%attr(755,root,root) %{_sbindir}/poweroff
%attr(755,root,root) %{_sbindir}/reboot
%attr(755,root,root) %{_sbindir}/reload
%attr(755,root,root) %{_sbindir}/restart
%attr(755,root,root) %{_sbindir}/runlevel
%attr(755,root,root) %{_sbindir}/shutdown
%attr(755,root,root) %{_sbindir}/start
%attr(755,root,root) %{_sbindir}/status
%attr(755,root,root) %{_sbindir}/stop
%attr(755,root,root) %{_sbindir}/telinit
%attr(755,root,root) %{_sbindir}/upstart-socket-bridge
%attr(755,root,root) %{_sbindir}/upstart-udev-bridge
%attr(755,root,root) %{_bindir}/init-checkconf
%attr(755,root,root) %{_bindir}/initctl2dot
%dir /lib/init
%{_mandir}/man5/*.5*
%{_mandir}/man7/*.7*
%{_mandir}/man8/*.8*

%attr(640,root,root) /etc/logrotate.d/sysvinit
%ghost %{_sysconfdir}/initrunlvl
%ghost /var/run/initrunlvl
%attr(600,root,root) %ghost %{_sysconfdir}/ioctl.save
%attr(640,root,root) %ghost /var/log/faillog
%attr(660,root,utmp) %ghost /var/log/lastlog
%attr(664,root,utmp) %ghost /var/log/wtmpx
%attr(640,root,root) %ghost /var/log/btmpx

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: upstart.spec,v $
Revision 1.76  2012/06/02 10:57:35  arekm
- release 8

Revision 1.75  2012/04/27 22:18:51  glen
- complete deps for group adding (from PLD-doc/BuildRequires.txt)

Revision 1.74  2012/04/27 21:11:19  jajcus
- R(pre): getgid, groupadd

Revision 1.73  2012/04/14 17:40:15  glen
- P: group(utmp), fixes unwanted utmp group removal when upstart is removed and libutempter is already installed

Revision 1.72  2012/03/16 20:43:07  glen
- release 6

Revision 1.71  2012/02/15 08:26:30  kiesiu
- copy a correct file for logrotate; rel. 5

Revision 1.70  2011/12/04 18:47:01  arekm
- rel 4; make upstart use SysVinit-tools; upstart-SysVinit is thus obsolete package

Revision 1.69  2011/07/30 13:31:20  glen
- fix drm-device-added manual page

Revision 1.68  2011/06/16 07:23:58  jajcus
- BR: udev-devel

Revision 1.67  2011/06/15 13:33:09  jajcus
- Release: 2

Revision 1.66  2011/06/15 13:28:52  jajcus
- tests disabled again (they still fail on the PLD builders)

Revision 1.65  2011/06/15 10:27:54  jajcus
- Version: 1.3
- -script_fd patch dropped (fixed upstream)
- -state_save patch dropped (discontinued)
- with_tests bcond fixed (configure all test jobs with nice=19, set $TERM expected by some
  tests, do not run initctl tests which require DBus session bus)

Revision 1.64  2011/04/12 08:09:31  jajcus
- pdksh compatibility fix (https://bugs.launchpad.net/upstart/+bug/757244)
- Release: 2

Revision 1.63  2011/03/22 18:17:56  arekm
- up to 1.2; shell redirection fix that broke 1.1

Revision 1.62  2011/03/18 18:08:02  arekm
- rel 2.0; revert; no reference to 'critical bugs' bugreport and this did not go outside test, so bumping epoch is not needed

Revision 1.61  2011/03/18 18:00:05  uzsolt
- rel 2

Revision 1.60  2011/03/18 17:36:59  uzsolt
- revert to version 1.0
- epoch 1 (1.1 has some critical bugs)

Revision 1.59  2011/03/17 14:28:43  arekm
- up to 1.1

Revision 1.58  2011/03/03 08:51:02  arekm
- up to 1.0

Revision 1.57  2010/12/15 11:40:16  glen
- 0.6.7 "Return of the Mole"

Revision 1.56  2010/07/05 03:47:26  uzsolt
- hu

Revision 1.55  2010/06/24 11:15:11  blues
- rel.3 - state_save added as bcond (to be removed soon)

Revision 1.54  2010/05/11 10:25:40  jajcus
- updated comment about the failed tests

Revision 1.53  2010/05/10 08:58:16  jajcus
- upstart-job is no more

Revision 1.52  2010/05/10 08:43:49  jajcus
- /etc/init is now in the filesystem package
- Release: 2

Revision 1.51  2010/05/08 22:08:34  glen
- drop upstart-job

Revision 1.50  2010/05/04 10:10:14  glen
- add upstart-job

Revision 1.49  2010/04/28 04:58:23  glen
- up to 0.6.6,
  /proc and /sys is mounted by upstart

Revision 1.48  2010/04/21 09:48:44  glen
- release 2

Revision 1.47  2010/04/20 18:17:25  glen
- add upstart sysconfig, for start-ttys.conf for now

Revision 1.46  2010/04/20 18:11:05  glen
- refresh initscripts, inspired from rawhide cvs. works for me

Revision 1.45  2010/04/20 06:13:14  glen
- fix some rc-scripts paths, kill init on 0.6 upgrade

Revision 1.44  2010/04/19 21:28:47  glen
- up to 0.6.5

Revision 1.43  2009/08/02 20:40:23  arekm
- include scripts

Revision 1.42  2009/08/02 20:21:10  arekm
- up to 0.6.3; rel 0.1 since event files need review

Revision 1.41  2009/06/29 05:27:09  arekm
- up to 0.5.3

Revision 1.40  2009/06/20 20:28:25  arekm
- release 3

Revision 1.39  2009/06/19 06:09:03  arekm
- rel 2; fix dbus req

Revision 1.38  2009/06/18 19:09:10  arekm
- up to 0.5.2

Revision 1.37  2009/01/26 16:06:21  blues
- rel.6 - conflict with dbus lower that 1.2.12-2 due to dirs deps

Revision 1.36  2008/11/24 17:12:58  qboosh
- bcond desc

Revision 1.35  2008/11/21 23:50:06  arekm
- add tests bcond

Revision 1.34  2008/11/20 14:26:11  baggins
- rel 5
- R: dbus-libs in /lib

Revision 1.33  2008/11/14 18:15:50  arekm
- BR: pkgconfig

Revision 1.32  2008/11/14 18:02:58  arekm
- rel 4; reexec init on telinit q(Q); trigger for glibc

Revision 1.31  2008/11/12 07:57:44  arekm
- rel3; don't fail if setting oom_adj fails.

Revision 1.30  2008/10/15 10:52:25  jajcus
- cosmetics

Revision 1.29  2008/10/15 10:52:03  jajcus
- BR: dbus-devel

Revision 1.28  2008/08/20 14:53:53  patrys
- 0.5.0

Revision 1.27  2008-05-19 22:09:25  emes
- added Suggests: dbus

Revision 1.26  2008-03-20 20:33:57  qboosh
- P+O: virtual(init-daemon)

Revision 1.25  2008-03-20 19:31:05  qboosh
- more verbose libs part of files

Revision 1.24  2008-03-20 10:54:45  patrys
- don't disable static linking (won't work with dynamic libnih)
- rel 2

Revision 1.23  2008-03-20 01:00:24  zbyniu
- todo outdated - llh includes inotify.h since ~2.6.18

Revision 1.22  2008-03-19 23:57:17  patrys
- works :)
- rel 1
- use with upstart-SysVinit

Revision 1.21  2007-12-27 19:01:25  glen
- my version of packaging

Revision 1.20  2007-12-22 23:52:11  patrys
- 0.3.9
- actually package it

Revision 1.19  2007/08/22 16:35:43  glen
- new url

Revision 1.18  2007/05/04 00:58:20  zbyniu
- up to 0.3.8

Revision 1.17  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.15  2006/11/09 21:45:41  glen
- 0.3.0 tarball (still can't be compiled on ac)

Revision 1.14  2006/09/18 23:27:03  glen
- 0.2.6, unfortunately can't be compiled on AC

Revision 1.13  2006/09/11 17:16:40  qboosh
- removed breaking builtin_offsetof patch
- gcc 4.0 is not a problem on HEAD

Revision 1.12  2006/09/03 22:19:13  qboosh
- pl cosmetics

Revision 1.11  2006/09/03 21:22:02  glen
- add versioned deps from HACKING

Revision 1.10  2006/09/03 20:15:23  glen
- proper epoches

Revision 1.9  2006/09/03 17:53:45  blues
- headers, not devel

Revision 1.8  2006/09/03 17:52:43  blues
- require glibc-devel 2.4.0 (some definition from there, maybe more)

Revision 1.7  2006/09/03 14:42:12  blues
- builtin_offsetof.patch added

Revision 1.6  2006/09/03 14:29:06  blues
- it seems it requires gcc4 :-/

Revision 1.5  2006/09/03 13:25:52  wolf
- pl

Revision 1.4  2006/09/03 13:14:29  blues
- TODO, no klibc-devel needed

Revision 1.3  2006/09/03 13:04:03  blues
- md5

Revision 1.2  2006/09/03 12:55:15  blues
- proper source

Revision 1.1  2006/09/03 12:46:32  blues
- initial, raw, NFY
